index: channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.44
diff -u -r1.44 chan_h323.c
--- channels/chan_h323.c        19 Apr 2004 08:11:51 -0000      1.44
+++ channels/chan_h323.c        19 Apr 2004 12:51:50 -0000
@@ -54,13 +54,13 @@
 #include <fcntl.h>
 #include <netdb.h>
 #include <sys/signal.h>
-#include <netinet/ip.h>
 #ifdef __OpenBSD__
 #include <netinet/in_systm.h>
 #ifndef IPTOS_MINCOST
 #define IPTOS_MINCOST 0x02
 #endif
 #endif
+#include <netinet/ip.h>

 #include "h323/chan_h323.h"

Index: include/asterisk/lock.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/lock.h,v
retrieving revision 1.14
diff -u -r1.14 lock.h
--- include/asterisk/lock.h     12 Apr 2004 20:54:24 -0000      1.14
+++ include/asterisk/lock.h     19 Apr 2004 12:51:51 -0000
@@ -16,6 +16,11 @@

 #include <pthread.h>

+#if defined( __OpenBSD__ )
+#define PTHREAD_MUTEX_RECURSIVE_NP PTHREAD_MUTEX_RECURSIVE
+#define PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP PTHREAD_MUTEX_INITIALIZER
+#endif
+
 #define AST_PTHREADT_NULL (pthread_t) -1
 #define AST_PTHREADT_STOP (pthread_t) -2

Index: stdtime/localtime.c
===================================================================
RCS file: /usr/cvsroot/asterisk/stdtime/localtime.c,v
retrieving revision 1.6
diff -u -r1.6 localtime.c
--- stdtime/localtime.c 27 Oct 2003 20:00:41 -0000      1.6
+++ stdtime/localtime.c 19 Apr 2004 12:51:52 -0000
@@ -27,7 +27,6 @@
 #include <asterisk/lock.h>
 #include <asterisk/localtime.h>

-
 #ifndef lint
 #ifndef NOID
 static const char      elsieid[] = "@(#)localtime.c    7.57";

